import { __assign, __spreadArray } from './../external/tslib/tslib.es6.js';
import React from 'react';
import classnames from 'classnames';
import { parseMetadata } from '@highlight-ui/utils-commons';
import styles from './Skeleton.module.scss.js';
var Skeleton = /*#__PURE__*/React.forwardRef(function (_a, ref) {
  var className = _a.className,
      color = _a.color,
      _b = _a.height,
      height = _b === void 0 ? 16 : _b,
      _c = _a.repeat,
      repeat = _c === void 0 ? 1 : _c,
      metadata = _a.metadata;
  return /*#__PURE__*/React.createElement("div", __assign({
    ref: ref,
    className: classnames(styles.skeletonContainer, className)
  }, parseMetadata(metadata)), repeat > 0 && __spreadArray([], Array(repeat), true).map(function (_, index) {
    return (
      /*#__PURE__*/
      // eslint-disable-next-line react/no-array-index-key
      React.createElement("div", {
        key: index,
        style: {
          background: color,
          height: height
        }
      })
    );
  }));
});
export { Skeleton as default };
//# sourceMappingURL=Skeleton.js.map
